﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace DemoApiDwservice.Models.Request
{
    public class DesktopRequest
    {
        [Display(Name = "Channel ID:")]
        public int idChannel { get; set; }

        [Display(Name = "Agent ID:")]
        public string idAgent { get; set; }

        [Display(Name = "Locale:")]
        public string locale { get; set; }

        [Display(Name = "Full Access:")]
        public bool fullAccess { get; set; }

        [Display(Name = "Hide Apps Bar:")]
        public bool hideAppsBar { get; set; }
        public string postMessageOrigin { get; set; }

        [Display(Name = "Show App On Load:")]
        public string showAppOnLoad { get; set; }
        public Applications applications { get; set; }
    }

    public class Applications
    {
        public Desktop desktop { get; set; }
        public Filesystem filesystem { get; set; }
        public Shell shell { get; set; }
        public Resource resource { get; set; }
        public LogWatch logwatch { get; set; }
        public TextEditor texteditor { get; set; }

    }
    public class Desktop
    {
        public bool fullAccess { get; set; }
        public bool allowScreenInput { get; set; }
        public bool allowAudio { get; set; }
    }
    public class Filesystem
    {
        public bool fullAccess { get; set; }
        public List<Path> paths { get; set; }
    }

    public class Shell
    {
        public bool fullAccess { get; set; }
    }

    public class Resource
    {
        public bool fullAccess { get; set; }
    }

    public class TextEditor
    {
        public bool fullAccess { get; set; }
        public List<PathTextEditor> paths { get; set; }
    }

    public class LogWatch
    {
        public bool fullAccess { get; set; }
        public List<PathLogWatch> paths { get; set; }
    }

    public class Path
    {
        public string name { get; set; }
        public string path { get; set; }
        public bool edit { get; set; }
        public bool download { get; set; }
        public bool upload { get; set; }
    }

    public class PathTextEditor
    {
        public string name { get; set; }
        public string path { get; set; }
        public bool edit { get; set; }
       
    }

    public class PathLogWatch
    {
        public string name { get; set; }
        public string path { get; set; }
        

    }
}
