﻿using System.ComponentModel.DataAnnotations;

namespace DemoApiDwservice.Models.Response
{
    public class Account : BaseResponse
    {
        [Display(Name ="Email:")]
        public string email { get; set; }

        [Display(Name = "Company:")]
        public string company { get; set; }

        [Display(Name = "First Name:")]
        public string firstName { get; set; }

        [Display(Name = "Last Name:")]
        public string lastName { get; set; }

        [Display(Name = "Country:")]
        public string country { get; set; }

        [Display(Name = "Address 1:")]
        public string address1 { get; set; }

        [Display(Name = "Address 2:")]
        public string address2 { get; set; }

        [Display(Name = "Postal Code:")]
        public string postalcode { get; set; }

        [Display(Name = "City:")]
        public string city { get; set; }

        [Display(Name = "State Province:")]
        public string stateprovince { get; set; }

        [Display(Name = "Telephone 1:")]
        public string telephone1 { get; set; }

        [Display(Name = "Fax:")]
        public string fax { get; set; }

        [Display(Name = "Vat ID:")]
        public string vatid { get; set; }

        [Display(Name = "Regnum:")]
        public string regnum { get; set; }

        [Display(Name = "Locale ID:")]
        public string localeID { get; set; }

        [Display(Name = "Time Zone:")]
        public string timeZone { get; set; }

        [Display(Name = "Credit:")]
        public int credit { get; set; }

        [Display(Name = "Agents Installed:")]
        public int agentsInstalled { get; set; }

        [Display(Name = "Agents Allowed:")]
        public int agentsAllowed { get; set; }

        [Display(Name = "Channels Basic Allowed:")]
        public int channelsBasicAllowed { get; set; }

        [Display(Name = "Channels Allowed:")]
        public int channelsAllowed { get; set; }

        [Display(Name = "PriceList:")]
        public PriceList priceList { get; set; }

        [Display(Name = "Cost:")]
        public Cost cost { get; set; }

        [Display(Name = "Channels Basic IDs:")]
        public int[] channelsBasicIDs { get; set; }
    }

    public class PriceList
    {
        [Display(Name = "Unit:")]
        public string unit { get; set; }

        [Display(Name = "Ticket Currency:")]
        public string ticketCurrency { get; set; }

        [Display(Name = "Ticket Price:")]
        public string ticketPrice { get; set; }

        [Display(Name = "Agent Cost:")]
        public int agentCost { get; set; }

        [Display(Name = "Channel Basic Cost:")]
        public int channelBasicCost { get; set; }
    }

    public class Cost
    {
        [Display(Name = "Unit:")]
        public string unit { get; set; }

        [Display(Name = "Agents:")]
        public int agents { get; set; }

        [Display(Name = "Channels Basic:")]
        public int channelsBasic { get; set; }

        [Display(Name = "Total:")]
        public int total { get; set; }

    }
}
