﻿using System.ComponentModel.DataAnnotations;
using System.Net;

namespace DemoApiDwservice.Models.Response
{
    public class ServiceResponse : BaseResponse
    {
        [Display(Name = "Agents Added:")]
        public int agentsAdded { get; set; }

        [Display(Name = "Channels Basic Added:")]
        public int channelsBasicAdded { get; set; }

        [Display(Name = "Channels Basic Added IDs:")]
        public int[] channelsBasicAddedIDs { get; set; }

        [Display(Name = "Channels Added:")]
        public int channelsAdded { get; set; }

        [Display(Name = "Cost:")]
        public CostService cost { get; set; }
        public HttpStatusCode StatusCode { get; set; }
    }

    public class CostService
    {
        [Display(Name = "Transaction ID:")]
        public string transactionID { get; set; }

        [Display(Name = "Ticket Currency:")]
        public string ticketCurrency { get; set; }

        [Display(Name = "Ticket Price:")]
        public decimal ticketPrice { get; set; }

        [Display(Name = "Unit Cost:")]
        public string unitCost { get; set; }

        [Display(Name = "Agent Quantity:")]
        public int agentQuantity { get; set; }

        [Display(Name = "Agent Cost:")]
        public int agentCost { get; set; }

        [Display(Name = "Channel Basic Quantity:")]
        public int channelBasicQuantity { get; set; }

        [Display(Name = "Channel Basic Cost:")]
        public int channelBasicCost { get; set; }

        [Display(Name = "Ref Month:")]
        public int refMonth { get; set; }

        [Display(Name = "Paid Days:")]
        public int paidDays { get; set; }

        [Display(Name = "Total:")]
        public int total { get; set; }

    }
}
